Sync with portage [Mon Aug 23 08:24:52 MSK 2021].

akrasnyh 2052
root 3 years ago
parent 0bbb630d14
commit 3d7901c17e

Binary file not shown.

Binary file not shown.

@ -12,7 +12,7 @@ LICENSE="LGPL-2.1+"
SLOT="2"
IUSE="X gtk-doc +introspection"
REQUIRED_USE="gtk-doc? ( X )"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
RDEPEND="
>=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]

@ -1 +0,0 @@
DIST eflite-0.4.1.tar.gz 63192 BLAKE2B 4bdd8bf689732ac56918cefc42d9443ce09d27db052f218c34d7e6b2734e12835482b5c3e3e99f9e2cfe9d1645f683e67aec1ecdbc00c8967637d65d59fd14e3 SHA512 0060980fd5bb65ad94f1609f6d87cb89b91e680228b603fa590e6ba70b51e894493dda4271dca4d8c97f38cdefbd456c3be0447e5f88a0be7ae39324baa2c796

@ -1,46 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit autotools epatch user
DESCRIPTION="A speech server that allows screen readers to interact with festival lite"
HOMEPAGE="http://eflite.sourceforge.net"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ppc ppc64 sparc x86"
IUSE="+16k_voice"
DEPEND=">=app-accessibility/flite-1.4"
RDEPEND="${DEPEND}"
src_prepare() {
sed -i 's:/etc/es.conf:/etc/eflite/es.conf:g' * || die
epatch "${FILESDIR}"/${PN}-0.4.1-flite14.patch
eautoreconf
}
src_configure() {
local myconf
if use 16k_voice; then
myconf='--with-vox=cmu_us_kal16'
fi
econf ${myconf}
}
src_install() {
einstall
dodoc ChangeLog README INSTALL eflite_test.txt
insinto /etc/eflite
doins "${FILESDIR}"/es.conf
newinitd "${FILESDIR}"/eflite.rc eflite
}
pkg_postinst() {
enewgroup speech
}

@ -1,24 +0,0 @@
diff -Naur eflite-0.4.1/Makefile.in eflite-0.4.1-new/Makefile.in
--- eflite-0.4.1/Makefile.in 2007-01-18 18:01:09.000000000 -0600
+++ eflite-0.4.1-new/Makefile.in 2010-07-23 20:06:45.000000000 -0500
@@ -34,7 +34,7 @@
$(CC) $(LDFLAGS) -o $@ $^ -lm $(LIBS) $(FLITE_LIBS) $(AUDIOLIBS)
fs.o: fs.c
- $(CC) $(CFLAGS) @AUDIODEFS@ -I. -I$(flite_include_dir) -DREGISTER_VOX=register_$(subst cmu_us_kal16,cmu_us_kal,$(FL_VOX)) -DSTANDALONE -DEFLITE -c -o $@ $<
+ $(CC) $(CFLAGS) @AUDIODEFS@ -I. -I$(flite_include_dir) -DREGISTER_VOX=register_$(FL_VOX) -DSTANDALONE -DEFLITE -c -o $@ $<
tone.o: tone.c
$(CC) $(CFLAGS) -I$(flite_include_dir) -DEFLITE -c -o $@ $<
diff -Naur eflite-0.4.1/fs.c eflite-0.4.1.new/fs.c
--- eflite-0.4.1/fs.c 2007-01-18 16:01:09.000000000 -0800
+++ eflite-0.4.1.new/fs.c 2013-09-08 09:31:57.417262688 -0700
@@ -523,7 +523,7 @@
int playlen, skip;
if (type == SPEECH)
{
- skip = (187 * wptr->sample_rate) / speed;
+ skip = 0;
playlen = wptr->num_samples - (skip * 2);
if (playlen > 0 && playlen < 500) playlen += (skip * 2) / 3;
}

@ -1,28 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
depend() {
use alsasound
use modules
use hotplug
}
start() {
ebegin "Starting eflite"
start-stop-daemon --start --exec /usr/bin/eflite --background \
--quiet --pidfile /var/run/eflite.pid --make-pidfile -- -D || eend 1
SOCKET=`egrep '^sockname=' /etc/eflite/es.conf | sed 's/^sockname=//'`
[ ! -S ${SOCKET} ] && SOCKET=/tmp/es.socket
chown root:speech ${SOCKET}
chmod 660 ${SOCKET}
eend $?
}
stop() {
ebegin "Stopping eflite"
start-stop-daemon --stop --quiet --pidfile /var/run/eflite.pid
eend $?
}

@ -1,11 +0,0 @@
# What socket do we listen on
sockname=/tmp/es.socket
# What volume do we set?
tone_volume=8192
# Do we use the PC Speaker? (0/1)
speaker_tones=0
# Do we use the sound card (via flite)? (0/1)
soundcard_tones=1

@ -1,33 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>williamh@gentoo.org</email>
</maintainer>
<maintainer type="project">
<email>accessibility@gentoo.org</email>
<name>Gentoo Accessibility Project</name>
</maintainer>
<maintainer type="project">
<email>sound@gentoo.org</email>
<name>Gentoo Sound project</name>
</maintainer>
<use>
<flag name="16k_voice">Use a higher-quality voice.</flag>
</use>
<longdescription lang="en">
EFlite is a speech server for Emacspeak and other screen readers
that allows them to interface with Festival Lite, a free
text-to-speech engine developed at the CMU Speech Center as an
off-shoot of Festival.
</longdescription>
<longdescription lang="ja">
EFliteはEmacspeakと他のスクリーン読取り装置のスピーチサーバ。この
サーバーで前のプログラムはFestival Lite(CMU Speech Centerで開発した
Festivalのようにスピーチにテキストを変わるエンジン。)と
インタフェスすることが出来る。
</longdescription>
<upstream>
<remote-id type="sourceforge">eflite</remote-id>
</upstream>
</pkgmetadata>

@ -5,4 +5,7 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
</pkgmetadata>

Binary file not shown.

@ -2,4 +2,5 @@ DIST awscli-1.20.15.tar.gz 2048948 BLAKE2B e7d378c9cb1752f4b7e014578d07fdc5f7bd9
DIST awscli-1.20.21.tar.gz 2055227 BLAKE2B 6448527363ca25f039fa9e461bf5f6451e2ecb308a29b3b62c2303d756476c45f60b5356bf32894d780deb8d9e459d83e2520ce09f5ea5f3b1e9435f8180d4ce SHA512 58b9323b8bdb07bd48814cf11fc03f9c4ffda01d1d0c85d4a77425ca37848a2cb3a6222b12c31e5897b348ef265cc94d842d9fd6b4a66bb3cfc8b37b038361cf
DIST awscli-1.20.24.tar.gz 2056924 BLAKE2B d76475f3ac63ebf5c8e46154cc884b52c59b897cdddd709ed9c143dbb4f0a7169ecdf4eb01b423e352a32e740649c7a609a7dadc950a61eb20b553d4acdcdc2e SHA512 143d932707c42dffe1089671ec527f2c4e72410692122bbb22633bfb46a2b277b6aa9e43b2a532ab62aa95b9ebc460885ba1a8f987b0aa37f0f40f7850af102e
DIST awscli-1.20.25.tar.gz 2057639 BLAKE2B 83a899405c1b6837f79041a66ed060e6a9a6bc140e8ec0fbe40a2aa7423dd5911102245cf2236703199e380e25ccc421220d18c03c145295eb3f95830b4b48c0 SHA512 b2eb5d448153b5017806355d2c8a5f60fd847fb757b34b48482713fcbb30713733ce83c22fdb84f71a1d50506a2478cd62d7f6b259912c580930cc058fe9f20c
DIST awscli-1.20.26.tar.gz 2057909 BLAKE2B 92ed26ae13b4c6626dcf7cacda761cd8ab93ac3de18de133b33bfe9120f23cd65a08da4e5beaabd498ce6e93f05b439420595145cb692c3ebf32848c8a9c31c6 SHA512 512201626fc2abfaced61e5e8bd2ba649e6c3895f5e6de7f1bdfe1f6ca7676306fa14ef0e58a50865a083cfb8e4199a90afd09f004bfdda8706982f4ee1e0e1f
DIST awscli-1.20.7.tar.gz 2045304 BLAKE2B d8f086d8d2eb36645e77fa3d9ae7c196ed3a3fddcc2a0218696f92bd69e10b453be1340b965a8d8e6697bbd3c45013d72de3ed0d31b5823515a5a0092a812858 SHA512 a41bd3ebc34a65add66ef95d5194ba07907a08f7368b0fcd6551af2070c46c4a509af47d30aeadabddce19d1a61200a58faf40a7e2f759e64915cfb2826666ab

@ -0,0 +1,58 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
PYTHON_COMPAT=( python3_{8..10} )
inherit bash-completion-r1 distutils-r1
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="https://pypi.org/project/awscli/"
#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/aws-cli-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
# botocore is x.(y+1).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.4.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"
distutils_enable_tests --install nose
PATCHES=(
"${FILESDIR}"/awscli-1.19.47-py39.patch
)
python_test() {
distutils_install_for_testing
# integration tests require AWS credentials and Internet access
nosetests -v tests/{functional,unit} ||
die "Tests failed for ${EPYTHON}"
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -46,6 +46,7 @@ COMMON_DEPEND="${PYTHON_DEPS}
sys-apps/dmidecode
sys-auth/polkit-qt
>=sys-libs/kpmcore-4.0.0:5=
virtual/libcrypt:=
"
DEPEND="${COMMON_DEPEND}
test? ( dev-qt/qttest:5 )

Binary file not shown.

@ -29,7 +29,7 @@ if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/google/${PN}.git"
inherit git-r3
else
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
SRC_URI="https://github.com/google/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
fi

@ -30,7 +30,7 @@ if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/google/${PN}.git"
inherit git-r3
else
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
SRC_URI="https://github.com/google/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
fi

@ -11,7 +11,7 @@ SRC_URI="https://github.com/megastep/makeself/archive/refs/tags/release-${PV}.ta
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~hppa ppc x86 ~amd64-linux ~x86-linux"
# NB: The test framework requires bashunit (which isn't a big deal), but the
# tests themselves are not of great quality. You should avoid running them

Binary file not shown.

@ -1,3 +1,3 @@
DIST bareos-18.2.10.tar.gz 10558902 BLAKE2B ffeac4169131dfc28ec0c9cd9816962492a920b3309ba41a48eec37641fc35027e5f1d1f7d9bf3a7fc2ce2982899e991f4d846f42852e7fbf0643090cccf7096 SHA512 2c31029fdcabe26d36d5aab5ed91686bb0b497eef707ca8fbf82a72a62259651aae4a7516a8812141f6a8e0e2de97e16e5f008d11bb1e483f176f67397e5f69e
DIST bareos-19.2.9.tar.gz 12886739 BLAKE2B 93b01a71e0824efc8a82c62107de03a0e6df23f600e005c9a98f5f0e541b13c4181dbb11b79fdd2a6f144e1cdbc25a95b1b310576bd3b79721f757c652881626 SHA512 b480a9a8dd459b8af3ab353bc5de2f8d1498d5754416972990add8cc6c8ea40462f6bde01ae92ca23f91c96d8ac2e6daf1dae085de80f021d52c5c87dc9a103e
DIST bareos-19.2.10.tar.gz 12893797 BLAKE2B 49493acab4fbd26a4ef9aa2f9c19df8a535460596d8206a4d15fedeaace420b7ba948505d7b74ef65aeb94bb8bfa77cf392babeb3e6509839ac418d935fa7070 SHA512 946b1dc5709696363d2ffa3d890fa662976690723ab8054d827c930f27757a22af44b83915ce2a4f198a7d0c2a71bb19b4597141afd31b9809bd6b214237d475
DIST bareos-20.0.2.tar.gz 13333946 BLAKE2B f035fc8b98bf176bd675895b459ac78fa43575a686af11d5c43ff6b86451894d9aaa53600f87253da29dac06271c01bb269777284d903001821918405499e536 SHA512 f3a0f481a2c9b3a422f4db3e094587c97fe10e2ea5e7a8ba44e9971b0a11746ae4ad598ea469d5c8ec0dfb962e4104c00931397905aebbf3e22af49834043994

@ -200,8 +200,8 @@ src_install() {
rm -f "${D}"/usr/libexec/bareos/{bareos,bareos-ctl-dir,bareos-ctl-fd,bareos-ctl-sd,startmysql,stopmysql}
rm -f "${D}"/usr/sbin/bareos
# remove upstream init scripts
rm -f "${D}"/etc/init.d/bareos-*
# remove upstream init scripts and systemd units
rm -f "${D}"/etc/init.d/bareos-* "${D}"/lib/systemd/system/bareos-*.service
# rename statically linked apps
if use clientonly && use static ; then
@ -247,9 +247,6 @@ src_install() {
rm -vf "${D}"/usr/share/man/man1/bareos-bwxconsole.1*
if use clientonly || ! use director; then
if use systemd; then
rm -vf "${D}"/lib/systemd/system/bareos-dir.service
fi
rm -vf "${D}"/usr/share/man/man8/bareos-dir.8*
rm -vf "${D}"/usr/share/man/man8/bareos-dbcheck.8*
rm -vf "${D}"/usr/share/man/man1/bsmtp.1*
@ -265,9 +262,6 @@ src_install() {
rm -vf "${D}"/usr/libexec/bareos/*_catalog_backup
fi
if use clientonly || ! use storage-daemon; then
if use systemd; then
rm -vf "${D}"/lib/systemd/system/bareos-sd.service
fi
rm -vf "${D}"/usr/share/man/man8/bareos-sd.8*
rm -vf "${D}"/usr/share/man/man8/bcopy.8*
rm -vf "${D}"/usr/share/man/man8/bextract.8*
@ -331,10 +325,10 @@ src_install() {
# install systemd unit files
if use systemd; then
if ! use clientonly; then
use director && systemd_dounit core/platforms/systemd/bareos-dir.service
use storage-daemon && systemd_dounit core/platforms/systemd/bareos-sd.service
use director && systemd_dounit "${FILESDIR}"/bareos-dir.service
use storage-daemon && systemd_dounit "${FILESDIR}"/bareos-sd.service
fi
systemd_dounit core/platforms/systemd/bareos-fd.service
systemd_dounit "${FILESDIR}"/bareos-fd.service
fi
# make sure the working directory exists

@ -189,8 +189,8 @@ src_install() {
# remove timelimit to fix #778557
rm -f "${D}"/usr/{,s}bin/timelimit
# remove upstream init scripts
rm -f "${D}"/etc/init.d/bareos-*
# remove upstream init scripts and systemd units
rm -f "${D}"/etc/init.d/bareos-* "${D}"/lib/systemd/system/bareos-*.service
# rename statically linked apps
if use clientonly && use static ; then
@ -236,9 +236,6 @@ src_install() {
rm -vf "${D}"/usr/share/man/man1/bareos-bwxconsole.1*
if use clientonly || ! use director; then
if use systemd; then
rm -vf "${D}"/lib/systemd/system/bareos-dir.service
fi
rm -vf "${D}"/usr/share/man/man8/bareos-dir.8*
rm -vf "${D}"/usr/share/man/man8/bareos-dbcheck.8*
rm -vf "${D}"/usr/share/man/man1/bsmtp.1*
@ -254,9 +251,6 @@ src_install() {
rm -vf "${D}"/usr/libexec/bareos/*_catalog_backup
fi
if use clientonly || ! use storage-daemon; then
if use systemd; then
rm -vf "${D}"/lib/systemd/system/bareos-sd.service
fi
rm -vf "${D}"/usr/share/man/man8/bareos-sd.8*
rm -vf "${D}"/usr/share/man/man8/bcopy.8*
rm -vf "${D}"/usr/share/man/man8/bextract.8*
@ -320,10 +314,10 @@ src_install() {
# install systemd unit files
if use systemd; then
if ! use clientonly; then
use director && systemd_dounit core/platforms/systemd/bareos-dir.service
use storage-daemon && systemd_dounit core/platforms/systemd/bareos-sd.service
use director && systemd_dounit "${FILESDIR}"/bareos-dir.service
use storage-daemon && systemd_dounit "${FILESDIR}"/bareos-sd.service
fi
systemd_dounit core/platforms/systemd/bareos-fd.service
systemd_dounit "${FILESDIR}"/bareos-fd.service
fi
# make sure the working directory exists

@ -191,8 +191,8 @@ src_install() {
rm -f "${D}"/usr/libexec/bareos/{bareos,bareos-ctl-dir,bareos-ctl-fd,bareos-ctl-sd,startmysql,stopmysql}
rm -f "${D}"/usr/sbin/bareos
# remove upstream init scripts
rm -f "${D}"/etc/init.d/bareos-*
# remove upstream init scripts and systemd units
rm -f "${D}"/etc/init.d/bareos-* "${D}"/lib/systemd/system/bareos-*.service
# get rid of py2 stuff if USE=-vmware
if ! use vmware; then
@ -244,9 +244,6 @@ src_install() {
rm -vf "${D}"/usr/share/man/man1/bareos-bwxconsole.1*
if use clientonly || ! use director; then
if use systemd; then
rm -vf "${D}"/lib/systemd/system/bareos-dir.service
fi
rm -vf "${D}"/usr/share/man/man8/bareos-dir.8*
rm -vf "${D}"/usr/share/man/man8/bareos-dbcheck.8*
rm -vf "${D}"/usr/share/man/man1/bsmtp.1*
@ -262,9 +259,6 @@ src_install() {
rm -vf "${D}"/usr/libexec/bareos/*_catalog_backup
fi
if use clientonly || ! use storage-daemon; then
if use systemd; then
rm -vf "${D}"/lib/systemd/system/bareos-sd.service
fi
rm -vf "${D}"/usr/share/man/man8/bareos-sd.8*
rm -vf "${D}"/usr/share/man/man8/bcopy.8*
rm -vf "${D}"/usr/share/man/man8/bextract.8*
@ -328,10 +322,10 @@ src_install() {
# install systemd unit files
if use systemd; then
if ! use clientonly; then
use director && systemd_dounit core/platforms/systemd/bareos-dir.service
use storage-daemon && systemd_dounit core/platforms/systemd/bareos-sd.service
use director && systemd_dounit "${FILESDIR}"/bareos-dir.service
use storage-daemon && systemd_dounit "${FILESDIR}"/bareos-sd.service
fi
systemd_dounit core/platforms/systemd/bareos-fd.service
systemd_dounit "${FILESDIR}"/bareos-fd.service
fi
# make sure the working directory exists

@ -0,0 +1,27 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
#
# Bareos Director Daemon
#
[Unit]
Description=Bareos Director Daemon
Documentation=man:bareos-dir(8)
Requires=nss-lookup.target network.target remote-fs.target time-sync.target
After=nss-lookup.target network.target remote-fs.target time-sync.target postgresql.service mysql.service mariadb.service
ConditionPathIsDirectory=/var/lib/bareos
[Service]
Type=forking
User=bareos
Group=bareos
WorkingDirectory=/var/lib/bareos
PIDFile=/run/bareos/bareos-dir.9101.pid
StandardError=journal
ExecStartPre=/usr/sbin/bareos-dir -t -f
ExecStart=/usr/sbin/bareos-dir
SuccessExitStatus=0 1 15
#Restart=on-failure
[Install]
Alias=bareos-director.service
WantedBy=multi-user.target

@ -0,0 +1,26 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
#
# Bareos File Daemon
#
[Unit]
Description=Bareos File Daemon
Documentation=man:bareos-fd(8)
Requires=nss-lookup.target network.target remote-fs.target time-sync.target
After=nss-lookup.target network.target remote-fs.target time-sync.target
[Service]
Type=forking
User=root
Group=bareos
WorkingDirectory=/var/lib/bareos
PIDFile=/run/bareos/bareos-fd.9102.pid
StandardError=journal
ExecStartPre=/usr/sbin/bareos-fd -f -t
ExecStart=/usr/sbin/bareos-fd
SuccessExitStatus=0 15
#Restart=on-failure
[Install]
Alias=bareos-filedaemon.service
WantedBy=multi-user.target

@ -0,0 +1,28 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
#
# Bareos Storage Daemon
#
[Unit]
Description=Bareos Storage Daemon
Documentation=man:bareos-sd(8)
Requires=nss-lookup.target network.target remote-fs.target time-sync.target
After=nss-lookup.target network.target remote-fs.target time-sync.target
[Service]
Type=forking
User=root
Group=bareos
WorkingDirectory=/var/lib/bareos
PIDFile=/run/bareos/bareos-sd.9103.pid
StandardError=journal
ExecStartPre=/usr/sbin/bareos-sd -t -f
ExecStart=/usr/sbin/bareos-sd
# enable this for scsicrypto-sd
# CapabilityBoundingSet=cap_sys_rawio+ep
SuccessExitStatus=0 15
#Restart=on-failure
[Install]
Alias=bareos-storage.service
WantedBy=multi-user.target

@ -5,4 +5,7 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
</pkgmetadata>

@ -1 +1,2 @@
DIST untangle-https-backup-0.0.10.tar.gz 16377 BLAKE2B 1c6233383e3e986bb63177b5b9f47d57631f2128da822775e0daf8a8bf6fb175f7cd1518ef18d6db116d6a12b2c697fe40e145fe41d2c98a4e12eaf76760b92a SHA512 0bd13fb0b7133bfce1c582317b4e0904e976e07f943a2dedf5f03729baebb5cd8f9aa38cc30c55f953692ed88f358d08b693bc40e89c24e329af2f5167e9247c
DIST untangle-https-backup-0.1.0.tar.gz 17211 BLAKE2B bbf8725e3198573b287624850cb854c5c5c5dffaefb4546e9295e21771f8e3d25652c94be497c9932caeed5afdf1afecb15aaad75f1ff2f53f6c4b92b3ddc23c SHA512 9874dbce881c419345b6e77a1e616b4c3e97f441606d7353b1a77c680bc48715d8f70f45680f8b57a447df44d9d9346d7aebf394de0793966734b3d9865bc18e

Binary file not shown.

@ -1,41 +0,0 @@
From f136702d2adc8643ea12f1b6e3bf97925f1b33f0 Mon Sep 17 00:00:00 2001
From: Kwon-Young Choi <kwon-young.choi@hotmail.fr>
Date: Fri, 19 Mar 2021 17:10:31 +0100
Subject: [PATCH] BackingFile property should be use with StorageVolume instead
of StorageAccess
BUG: 434617
When mounting an iso with `udisksctl`, first a loop device is created
`/dev/loop0` then a second device `/dev/loop0p1` is used to mount it on
a filesystem location.
Querying for StorageAccess devices sometimes only returns the `/dev/loop0p1`
device without the `/dev/loop0` device and the BackingFile property does not
work on `/dev/loop0p1`.
Solution: query for StorageVolume instead which returns all loop devices:
`/dev/loop0` and `/dev/loop1`.
Warning: Because StorageVolume returns more devices, the function
`getDeviceFromBackingFile` could be a little bit slower.
---
mountiso/mountisoaction.cpp | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/mountiso/mountisoaction.cpp b/mountiso/mountisoaction.cpp
index e5575ae..d198a89 100644
--- a/mountiso/mountisoaction.cpp
+++ b/mountiso/mountisoaction.cpp
@@ -78,7 +78,7 @@ MountIsoAction::MountIsoAction(QObject *parent, const QVariantList &)
const Solid::Device getDeviceFromBackingFile(const QString &backingFile)
{
const QList<Solid::Device> blockDevices =
- Solid::Device::listFromQuery("[ IS StorageAccess AND IS GenericInterface ]");
+ Solid::Device::listFromQuery("[ IS StorageVolume AND IS GenericInterface ]");
for (const Solid::Device &device : blockDevices) {
auto genericDevice = device.as<Solid::GenericInterface>();
--
GitLab

@ -5,4 +5,7 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
</pkgmetadata>

@ -5,4 +5,7 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
</pkgmetadata>

Binary file not shown.

@ -14,7 +14,7 @@ SRC_URI="mirror://gnupg/gpgme/${P}.tar.bz2"
LICENSE="GPL-2 LGPL-2.1"
SLOT="1/11" # subslot = soname major version
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="common-lisp static-libs +cxx python qt5"
RDEPEND=">=app-crypt/gnupg-2

@ -20,7 +20,7 @@ REQUIRED_USE="
gtk-doc? ( crypt )
"
KEYWORDS="~alpha amd64 arm ~arm64 ~ia64 ~mips ppc ~ppc64 ~riscv sparc x86"
KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~mips ppc ppc64 ~riscv sparc x86"
DEPEND="
>=dev-libs/glib-2.44:2[${MULTILIB_USEDEP}]

@ -11,7 +11,7 @@ SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="caps efl emacs gnome-keyring gtk ncurses qt5"
DEPEND="

@ -1,22 +1,25 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>qt@gentoo.org</email>
<name>Gentoo Qt Project</name>
</maintainer>
<maintainer type="project">
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<use>
<flag name="botan">Enable botan plugin</flag>
<flag name="gcrypt">Enable gcrypt plugin</flag>
<flag name="gpg">Enable GnuPG plugin</flag>
<flag name="logger">Enable logger plugin</flag>
<flag name="nss">Enable NSS plugin</flag>
<flag name="pkcs11">Enable PKCS#11 plugin</flag>
<flag name="sasl">Enable SASL plugin</flag>
<flag name="softstore">Enable softstore plugin</flag>
</use>
<maintainer type="project">
<email>qt@gentoo.org</email>
<name>Gentoo Qt Project</name>
</maintainer>
<maintainer type="project">
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
<use>
<flag name="botan">Enable botan plugin</flag>
<flag name="gcrypt">Enable gcrypt plugin</flag>
<flag name="gpg">Enable GnuPG plugin</flag>
<flag name="logger">Enable logger plugin</flag>
<flag name="nss">Enable NSS plugin</flag>
<flag name="pkcs11">Enable PKCS#11 plugin</flag>
<flag name="sasl">Enable SASL plugin</flag>
<flag name="softstore">Enable softstore plugin</flag>
</use>
</pkgmetadata>

Binary file not shown.

@ -1,2 +1,2 @@
DIST mg-20200723.tar.gz 152271 BLAKE2B 5fcbe2699da60c68a0c464bb337741d7797e9da3e2ab148a821aed46f661e5f5efbe7ceb14b153dcdd51185d22d0a2b2c7ad3525fc531192ecc0c0697e483b77 SHA512 8e481cf4981b93dba95b3b318f44dda15e580962216d452ce2fddcd19b86e4686673ba84d092bfaa540533b227428bd3bc9e6becda69be881d930937b0ea7add
DIST mg-20210314.tar.gz 152749 BLAKE2B eec9740db1a543025450746913c1b07f0646f370906665122c7f5dd1ecc46b5cab102bd29aa51afb13972f4f17118ea20c33bb619e8dc4bc8982f8423ed189d6 SHA512 816b1bf8aec97dd790b0d5bf8836d46cb87f60d0bda94c2aecce4f8a6b8599ab2e90805fa6b129c9e40b54b340e33a47fec97c60e1b59b7706aa357d58b0e3f6
DIST mg-20210609.tar.gz 156850 BLAKE2B ed8061aa808a8570f24198fb32fa3d24d66decdd07dab871502456d734a8d7867f384122361294bda0155bc3fecea80983fd41c00a2ffe02d00e380bf94e2f43 SHA512 a17b470e5e192c1f62700c7b78b15c9403b25528a7d6603fda0b6e618196150329fe4889cedfc8dbf621053d45b78294ed5c2766604aaa4c3ddbaec545693043

@ -14,7 +14,7 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ppc ~ppc64 sparc x86"
IUSE="livecd"
RDEPEND="sys-libs/ncurses:0
RDEPEND="sys-libs/ncurses:0=
!elibc_FreeBSD? ( >=dev-libs/libbsd-0.7.0 )"
DEPEND="${RDEPEND}
virtual/pkgconfig"

@ -1,23 +1,24 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
inherit toolchain-funcs
DESCRIPTION="MicroGnuEmacs, a port from the BSDs"
HOMEPAGE="https://homepage.boetes.org/software/mg/"
HOMEPAGE="https://homepage.boetes.org/software/mg/
https://github.com/hboetes/mg"
SRC_URI="https://github.com/hboetes/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~hppa ppc ~ppc64 sparc x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
IUSE="livecd"
RDEPEND="sys-libs/ncurses:0
RDEPEND="sys-libs/ncurses:0=
!elibc_FreeBSD? ( >=dev-libs/libbsd-0.7.0 )"
DEPEND="${RDEPEND}
virtual/pkgconfig"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
src_prepare() {
# fix path to tutorial in man page

@ -5,6 +5,9 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
<use>
<flag name="designer">Build plugins for <pkg>dev-qt/designer</pkg></flag>
</use>

Binary file not shown.

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{7,8,9} )
PYTHON_COMPAT=( python3_{8..10} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit bash-completion-r1 distutils-r1
@ -16,10 +16,8 @@ SRC_URI="https://github.com/docker/compose/archive/${MY_PV}.tar.gz -> ${P}.tar.g
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 arm64"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
RDEPEND="
>=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
>=dev-python/distro-1.5.0[${PYTHON_USEDEP}]
>=dev-python/docker-py-5[${PYTHON_USEDEP}]
@ -43,6 +41,8 @@ DEPEND="${RDEPEND}
S="${WORKDIR}/compose-${MY_PV}"
distutils_enable_tests pytest
PATCHES=(
# Bug #679968 -- https://bugs.gentoo.org/679968
# Bug #681002 -- https://bugs.gentoo.org/681002
@ -60,7 +60,7 @@ src_prepare() {
python_test() {
distutils_install_for_testing
${PYTHON} -m pytest tests/unit/ || die "tests failed under ${EPYTHON}"
epytest tests/unit/
}
python_install_all() {

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ SRC_URI="http://gentooexperimental.org/~genstef/dist/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ppc ppc64 x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ppc ppc64 ~riscv x86"
src_prepare() {
local ver="$(best_version sys-kernel/linux-headers)"

@ -0,0 +1,29 @@
From 342aa0ad1a645f468a24266f402d92541d4fd58a Mon Sep 17 00:00:00 2001
From: Roger Light <roger@atchoo.org>
Date: Fri, 20 Aug 2021 23:49:59 +0100
Subject: [PATCH] Fix installation using WITH_TLS=no.
Closes #2281. Thanks to Matt Turner.
---
ChangeLog.txt | 3 +++
apps/mosquitto_passwd/Makefile | 2 ++
2 files changed, 5 insertions(+)
diff --git a/apps/mosquitto_passwd/Makefile b/apps/mosquitto_passwd/Makefile
index 3238cf3e..1fbf5e12 100644
--- a/apps/mosquitto_passwd/Makefile
+++ b/apps/mosquitto_passwd/Makefile
@@ -37,8 +37,10 @@ password_mosq.o : ../../src/password_mosq.c ../../src/password_mosq.h
${CROSS_COMPILE}${CC} $(APP_CPPFLAGS) $(APP_CFLAGS) -c $< -o $@
install : all
+ifeq ($(WITH_TLS),yes)
$(INSTALL) -d "${DESTDIR}$(prefix)/bin"
$(INSTALL) ${STRIP_OPTS} mosquitto_passwd "${DESTDIR}${prefix}/bin/mosquitto_passwd"
+endif
uninstall :
-rm -f "${DESTDIR}${prefix}/bin/mosquitto_passwd"
--
2.31.1

@ -33,6 +33,10 @@ DEPEND="${PYTHON_DEPS}
test? ( dev-util/cunit )
websockets? ( net-libs/libwebsockets[lejp] )"
PATCHES=(
"${FILESDIR}"/${PV}-Fix-installation-using-WITH_TLS-no.patch
)
_emake() {
local LIBDIR=$(get_libdir)
emake \

Binary file not shown.

@ -9,6 +9,9 @@
<email>office@gentoo.org</email>
<name>Gentoo Office project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
<use>
<flag name="activities">Enable kactivities support</flag>
<flag name="charts">Build chartshape plugin for creating business charts with <pkg>dev-libs/kdiagram</pkg></flag>

@ -9,6 +9,9 @@
<email>office@gentoo.org</email>
<name>Gentoo Office project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
<use>
<flag name="activities">Enable kactivities support</flag>
<flag name="holidays">Enable <pkg>kde-frameworks/kholidays</pkg> integration</flag>

@ -5,6 +5,9 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
<use>
<flag name="experimental">Enable features deemed experimental by upstream</flag>
<flag name="marble">Enable displaying of maps using <pkg>kde-apps/marble</pkg></flag>

@ -5,6 +5,9 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
<use>
<flag name="activities">Enable <pkg>kde-frameworks/kactivities</pkg> integration</flag>
<flag name="addressbook">Enable <pkg>kde-apps/akonadi</pkg> contact integration</flag>

@ -5,4 +5,7 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
</pkgmetadata>

@ -5,6 +5,9 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
<use>
<flag name="webengine">Use dev-qt/qtwebengine for embedded web browser widget</flag>
</use>

@ -5,6 +5,9 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
<use>
<flag name="activities">Enable kactivities support</flag>
</use>

Binary file not shown.

@ -1 +1,2 @@
DIST iwdevtools-0.1.1.tar.gz 16139 BLAKE2B effceb407319d2f8acf44db5642a55c426c73628bef9c2004dd76118dc042cbc1178975e06b14d6950cef417790693af9a98dc77e4873f0175a408ca14f71384 SHA512 b0d3a1145c3ecfc71e7f8b0d8d8e321840869037841e1faa547ad4a385751b4fb13de31b3ed497eeacbdf227a81c4f28ff6fd229b008105489ada7c1a15b88e4
DIST iwdevtools-0.2.0.tar.gz 23498 BLAKE2B 50c946bb69ae720b27836aebb825d6b1e9545e80dda6d0c939c4be7be30f0f4017c309b2794805fc030e074cc2629bbc328545024d5f89860d05693731ab0b55 SHA512 c31d8646477f1cb8ab784441e2f16155248fc337d2138ce6780810dc7e81cdd6792d610db26e8f7759f89f50732c784bf4938c4a861420412f0056fd9b391a08

@ -0,0 +1,40 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit meson optfeature
DESCRIPTION="Small tools to aid with Gentoo development, primarily intended for QA"
HOMEPAGE="https://github.com/ionenwks/iwdevtools"
SRC_URI="https://github.com/ionenwks/iwdevtools/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="
app-misc/pax-utils
app-portage/portage-utils
sys-apps/diffutils
sys-apps/file
sys-apps/portage
sys-apps/util-linux"
src_configure() {
meson_src_configure -Ddocdir=${PF}
}
pkg_postinst() {
optfeature "detecting potential ABI issues using abidiff" dev-util/libabigail
if [[ ! ${REPLACING_VERSIONS} ]]; then
elog "To (optionally) integrate with portage, inspect the .bashrc files installed"
elog "at ${EROOT}/usr/share/${PN}. If not already using a bashrc, you can use"
elog "the example bashrc directly by creating a symlink:"
elog
elog " ln -s ../../../usr/share/${PN}/bashrc ${EROOT}/etc/portage/bashrc"
elog
elog "See ${EROOT}/usr/share/doc/${PF}/README.rst* for info on tools."
fi
}

@ -3,7 +3,7 @@
EAPI=8
inherit git-r3 meson
inherit git-r3 meson optfeature
DESCRIPTION="Small tools to aid with Gentoo development, primarily intended for QA"
HOMEPAGE="https://github.com/ionenwks/iwdevtools"
@ -26,6 +26,8 @@ src_configure() {
}
pkg_postinst() {
optfeature "detecting potential ABI issues using abidiff" dev-util/libabigail
if [[ ! ${REPLACING_VERSIONS} ]]; then
elog "To (optionally) integrate with portage, inspect the .bashrc files installed"
elog "at ${EROOT}/usr/share/${PN}. If not already using a bashrc, you can use"
@ -33,5 +35,6 @@ pkg_postinst() {
elog
elog " ln -s ../../../usr/share/${PN}/bashrc ${EROOT}/etc/portage/bashrc"
elog
elog "See ${EROOT}/usr/share/doc/${PF}/README.rst* for info on tools."
fi
}

Binary file not shown.

@ -3,7 +3,7 @@
EAPI="7"
PYTHON_COMPAT=( python3_{7,8,9} )
PYTHON_COMPAT=( python3_{8,9} )
inherit distutils-r1
@ -13,7 +13,7 @@ SRC_URI="https://downloads.sourceforge.net/project/dblatex/dblatex/${P}/${PN}3-$
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="inkscape"
RDEPEND="

@ -5,6 +5,9 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
<use>
<flag name="webengine">Use <pkg>dev-qt/qtwebengine</pkg> for HTML previews</flag>
<flag name="zotero">Enable support for synchronisation with zotero.org web service</flag>

@ -5,4 +5,7 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
</pkgmetadata>

@ -1 +1 @@
DIST zotero-bin-5.0.96.2.tar.bz2 60475436 BLAKE2B 2c113fbbb78f0e4ca4e12ed31ed43ba6e65eea88039f9fda1d1f97e6407b95e9ac1d89b2504f220ce96634f5404defcdb5f5346dec83d5d9f02832e1573f1a60 SHA512 4fc988bf74179ad5f28a4649cfc6c6c5d4eeabc3b7aa60e717681bc57dd1c3ba6f2d3310fb83e6e2e55475aa9d7077329acc3dff52b63a0759c32f542ef0ef47
DIST zotero-bin-5.0.96.3.tar.bz2 61236517 BLAKE2B 3de6d41349f9cc405dd3d44e8e456169d58bdd1f4522c31cd168182878839fe8ca6280eff7339bcf3d66c87c7d4f5af55d768551abcff3cd579342cae37b64e3 SHA512 0777ec41bc151b0bd30076f8a7f59e431c3435728b4d85298421ef11aea5b7c1e122d3bb7fcc5551bb8c4472922796d9508a56df7a0913515d8568fcf3ca6fee

@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
inherit desktop xdg

Binary file not shown.

@ -5,4 +5,7 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
</pkgmetadata>

@ -3,7 +3,7 @@
EAPI=7
POSTGRES_COMPAT=( 9.{5..6} 10 11 12 )
POSTGRES_COMPAT=( 9.6 10 11 12 )
inherit desktop postgres qmake-utils

@ -3,7 +3,7 @@
EAPI=7
POSTGRES_COMPAT=( 9.{5..6} {10..13} )
POSTGRES_COMPAT=( 9.6 {10..13} )
inherit autotools postgres-multi

@ -3,7 +3,7 @@
EAPI=7
POSTGRES_COMPAT=( 9.{5..6} {10..13} )
POSTGRES_COMPAT=( 9.6 {10..13} )
inherit autotools postgres-multi

@ -5,18 +5,15 @@ EAPI=7
EGIT_REPO_URI="https://git.postgresql.org/git/pgpool2.git"
POSTGRES_COMPAT=( 9.{5..6} {10..13} )
POSTGRES_COMPAT=( 9.6 {10..13} )
inherit autotools git-r3 postgres-multi
DESCRIPTION="Connection pool server for PostgreSQL"
HOMEPAGE="https://www.pgpool.net/"
SRC_URI=""
LICENSE="BSD"
SLOT="0"
KEYWORDS=""
IUSE="doc memcached pam ssl static-libs"
RDEPEND="
@ -25,18 +22,16 @@ RDEPEND="
virtual/libcrypt:=
memcached? ( dev-libs/libmemcached )
pam? ( sys-auth/pambase )
ssl? (
dev-libs/openssl:0=
)
ssl? ( dev-libs/openssl:= )
"
DEPEND="${RDEPEND}
sys-devel/bison
virtual/pkgconfig
doc? (
app-text/openjade
dev-libs/libxml2
dev-libs/libxslt
)
app-text/openjade
dev-libs/libxml2
dev-libs/libxslt
)
"
pkg_setup() {

@ -6,7 +6,7 @@ EAPI=7
CMAKE_BUILD_TYPE="Release"
#CMAKE_MAKEFILE_GENERATOR=emake
POSTGRES_COMPAT=( 9.{5..6} {10..13} )
POSTGRES_COMPAT=( 9.6 {10..13} )
POSTGRES_USEDEP="server"
inherit cmake postgres-multi

@ -5,7 +5,7 @@ EAPI=7
CMAKE_BUILD_TYPE="Release"
POSTGRES_COMPAT=( 9.{5..6} {10..13} )
POSTGRES_COMPAT=( 9.6 {10..13} )
POSTGRES_USEDEP="server"
inherit cmake postgres-multi

@ -5,7 +5,7 @@ EAPI=7
CMAKE_BUILD_TYPE="Release"
POSTGRES_COMPAT=( 9.{5..6} {10..13} )
POSTGRES_COMPAT=( 9.6 {10..13} )
POSTGRES_USEDEP="server"
inherit cmake postgres-multi

@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
POSTGRES_COMPAT=( 9.{5..6} {10..11} )
POSTGRES_COMPAT=( 9.6 {10..11} )
inherit postgres-multi

@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
POSTGRES_COMPAT=( 9.{5..6} {10..13} )
POSTGRES_COMPAT=( 9.6 {10..13} )
inherit postgres-multi

@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
POSTGRES_COMPAT=( 9.{5..6} 10 )
POSTGRES_COMPAT=( 9.6 10 )
POSTGRES_USEDEP="server"
inherit postgres-multi

@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
POSTGRES_COMPAT=( 9.{5..6} {10..13} )
POSTGRES_COMPAT=( 9.6 {10..13} )
POSTGRES_USEDEP="server"
inherit postgres-multi

@ -3,7 +3,7 @@
EAPI=7
POSTGRES_COMPAT=( 9.{5..6} {10..13} )
POSTGRES_COMPAT=( 9.6 {10..13} )
POSTGRES_USEDEP="server"
inherit autotools postgres-multi

@ -3,7 +3,7 @@
EAPI=6
POSTGRES_COMPAT=( 9.{5..6} {10..12} )
POSTGRES_COMPAT=( 9.6 {10..12} )
POSTGRES_USEDEP="server"
inherit autotools eapi7-ver postgres-multi

@ -3,7 +3,7 @@
EAPI=7
POSTGRES_COMPAT=( 9.{5..6} {10..13} )
POSTGRES_COMPAT=( 9.6 {10..13} )
POSTGRES_USEDEP="server,threads"
inherit postgres-multi

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]] ; then
EGIT_REPO_URI="git://developer.intra2net.com/${PN}"
else
SRC_URI="https://www.intra2net.com/en/developer/${PN}/download/${P}.tar.gz"
KEYWORDS="amd64 arm ~arm64 ppc ppc64 sparc x86"
KEYWORDS="amd64 arm ~arm64 ppc ppc64 ~riscv sparc x86"
fi
DESCRIPTION="Userspace access to FTDI USB interface chips"

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
PYTHON_COMPAT=( python3_{8..9} )
inherit cmake python-single-r1
MY_P="${PN}1-${PV}"
@ -12,7 +12,7 @@ if [[ ${PV} == 9999* ]] ; then
EGIT_REPO_URI="git://developer.intra2net.com/${PN}"
else
SRC_URI="https://www.intra2net.com/en/developer/${PN}/download/${MY_P}.tar.bz2"
KEYWORDS="amd64 arm arm64 ~mips ppc ppc64 sparc x86"
KEYWORDS="amd64 arm arm64 ~mips ppc ppc64 ~riscv sparc x86"
fi
DESCRIPTION="Userspace access to FTDI USB interface chips"

Binary file not shown.

@ -12,7 +12,7 @@ SLOT="0"
KEYWORDS="amd64 x86"
IUSE="static-libs"
RDEPEND="media-libs/libsdl[video]
RDEPEND="media-libs/libsdl[joystick,video]
media-libs/sdl-image
media-libs/sdl-mixer"
DEPEND="${RDEPEND}"

Binary file not shown.

@ -1,19 +1,10 @@
DIST go-darwin-amd64-bootstrap-1.13.6.tbz 119340642 BLAKE2B 93d1d2fdd24e6a56d9583d90e64788fe28284302d1e1346a2009dcba8f80917bf113398f269922277bd066b068f62fffa146523bd57a5b7b178f0008f3c4d154 SHA512 1f27885d454963e88f73d3b6ef4d0167a5df6ad81c4725fb3b2be19e2c7bad13ef36ff6c100b8788fa2085285e462f0d2b3dfaf8bd67b0804a137969054cb5ae
DIST go-darwin-amd64-bootstrap-1.16.6.tbz 127674985 BLAKE2B 1addecf6c3c59771d27c9ae38bb1348632b0840a5fc5a8f88ef37f3882e37810f6851d56c64a171c47d2ba9da6c00e5876aa10d207d8a6e907aa53861c0ff54b SHA512 4d1107cbf2b467a3cf7ebeb868d300df1955f376f016dc1aa0ec6b823c69d4cd80f327f90819f54b235ea9e6d4c4fa8a355325c28c5149aabd7af72fb563a493
DIST go-linux-386-bootstrap-1.13.6.tbz 116991833 BLAKE2B e15c4dd3c9bfb233f81d318591df5cb2a73e033a088cd652371f6933b8732c7d5c1292ec8110b23f85b30d5afdea97e798b264c61f5651db08c7ac903e8dcbb6 SHA512 114c2f670f21624f0dfefabb99b7263e2133e58c2072ce341a6ea604278e22361779f2e0d3771b7a427e979d7e34f3fc3afcd0f8297d778c3552858ce64ec0c8
DIST go-linux-386-bootstrap-1.16.6.tbz 125879388 BLAKE2B e0813b451b41c474617543688d105b19aa7cdd6984be40b0fddf12709af4c6e4382d3b3e1f65c0a12ca24896bb2ad25fe0a2cd3b7aeefa4f55354e939aef4c29 SHA512 eb4a013b7f53f9b6580afcae75b98df32982f19c113be58540871f36570e00fced1672ad85894660ef6c72c10392fec21c3d8e3db98ea8074e00b07e6ca160f3
DIST go-linux-amd64-bootstrap-1.13.6.tbz 116924754 BLAKE2B 3a28ded6df7e04081c727ad90ad2c8b67e1171aea8cd86b9570d65b275c2a4f1a84084d65a6c3e2efbece5594ba1aad3efc1a2fba36aa2dc68902c5c228c05e8 SHA512 3ade49da050d132309357a190628c3ff3a93cffa88f56e1d771f53358c825f210b6870870a96fdbc27717f1b464d904a6f605073377de2f0516cf635a1ce8241
DIST go-linux-amd64-bootstrap-1.16.6.tbz 125758119 BLAKE2B fe653fbb47d22624a24bbf1fc52f5158830726e3bc93a8b0c5ab4811daf082b02130b834031af19dfc929860417b4b734f54125fbbaaeed0e3c35fdd686e4991 SHA512 6feb11c3326199db296ebcb68b81bcd21d456c3cffca1e8f30dd6303c3bdccde410b38d49f0ccec47e397e5d7a84aba91b91e85afd44a14150c6e20046bff8df
DIST go-linux-arm-bootstrap-1.13.6.tbz 112324731 BLAKE2B 18166e279b1d30f48e08007df8639775b58081805a7e5799dae14e0b357330cf69997f4a5c844bd10a9eeef44225d52f26197e07d16bb7a42fe5a6185634f4b5 SHA512 4d502e2231c1822dacb62cd00b435d52710b1511715385c0b3ddf9f66a446ae90e9b1628b501ba8e1d1a94ca5c28249a323da56f869e88480aa6c249ca001c6e
DIST go-linux-arm-bootstrap-1.16.6.tbz 121505187 BLAKE2B d732fcd1b8c9696aca70608813be1d99aa097aa51a709c3580bb1c5b3548e38b52bbcae7e958b00632dcaec6c1083d90f13a3bc2682e0a743bfae9055164d15b SHA512 25ed02b4a1c3b42a6b97a7d1fbfd0c6304ab784b69cadac15ae0fb1d701767ff2614fa7ebf070b8430510745e2d0d3f612a3f383e836fda4ca80c3398175c46c
DIST go-linux-arm64-bootstrap-1.13.6.tbz 110290994 BLAKE2B dc8985a305d1ef3ae683de9787333f0be3d43d5e642a3b5a315cf003311fb47e55588eb1acf816e5eb4215802832a43445ebecedfd2d680d350cb65e0ce7394f SHA512 bc5f4c4554987a5df735bb96c9b8ae78624169d847ab17ea9b0e969ecaab109311892cf1985d576cd46bf271562b724c6a3796472e197a2c8bb48da0d51128a9
DIST go-linux-arm64-bootstrap-1.16.6.tbz 119471617 BLAKE2B 518ed7baf7c74aface2f458e5f3ed6e8c0f9aa2314d59f83688818fda8acb1d15e8d9288210eef916f09773868253661c30ffc259570e2f2e3de829cc49e91c4 SHA512 4e3b968188c6d7882568d24919baa1a80b07097a0ec8cf87c40e012db61eba58107edcedf67801868c93e5263cbf62eccfb2c2163d33018e6a82ffcd61e2872d
DIST go-linux-ppc64-bootstrap-1.13.6.tbz 110762916 BLAKE2B 19d44da5bcd1f4832772469beed509475f9a38ab55b386490faf1b270ffd7cc13d315dfe4746b3b9ca6a324c0e6f2e0144a3146d43bd6210d0479063f8627e34 SHA512 2a76c6168d7ba0c7eb020a1af4eccb2a5aee510a1f8e4bb438f5ea769677724c1450209c2fc9a4ccff1084f1a091a568e667ec33a5d537539a09ece426cf82d8
DIST go-linux-ppc64-bootstrap-1.16.6.tbz 119549132 BLAKE2B 26131877025faf0a1b09abab9d229940532b52c7d994d001b7e91dbde0fe760a520e3337f6fe3e413aa3abc49096fb47883fba0cc247d8e0c93a6698947a4567 SHA512 a55d1a5da5a7b6360485101fc051aa34aecdc2e73be3690df16d132068c390a522114c890f942f504d197e7d00b97a95ea7cca6e74ae23719c6ab80deea4e7da
DIST go-linux-ppc64le-bootstrap-1.13.6.tbz 110086770 BLAKE2B a3f2c1b840f85d7726336285a56d1850fd10f32d90341836a4124a7d181778c3a1cff1d576e4a19a4f3556e961d84fa77202891725b5237121040bdd020af339 SHA512 6c4bd54fafea65fbb16a3e6c57b721c10654a5f18879c164f6889a01ec6581b13b450622e83897032ab3ed43a9ff4a7edb6d30c56d41dd23991e8453c1bae359
DIST go-linux-ppc64le-bootstrap-1.16.6.tbz 118880332 BLAKE2B 364f193b0e21ba330effc07ff8fd6b8e1b63519fdcd44c0c0c5a655a95739263a5a31771f04f3b682097bef41144ae7b31d28eaeae9c95505c187673a7289e3f SHA512 56ed74c7b6a189fd477c8ec6a5d5af1cc628fe3816f562dfb0702bea743a55e61d36a06f3d8314576ab690eeaab09a6d076549c74cd8f2a99cd2531e82c09e7e
DIST go-linux-riscv64-bootstrap-1.16.6.tbz 125444157 BLAKE2B 67829fcab383445a228e9e5f6d55f5c17869394201ff818ef9f15143225d889ca82da0e2e7d11f11d6b1dd37af3ef0070784eb1d832c8d11c9c41cea9082f368 SHA512 97fcc6b061e8819d6e0876521457c344306927c9fe04ccde2b43bba143255feb2eddbc2416df6e44c9b5477dee6491c25fc7da2800a8fa40cedf1f21089d4816
DIST go-linux-s390x-bootstrap-1.13.6.tbz 115641137 BLAKE2B 7ab94a8f7c839ee8fb58673ed5ad00a569a0bae7a13bb214098154aedb1c272837d0903c226cb87b5eb46475589ddcd56e1afafc81ddaea988ce3c3ddca686d1 SHA512 794b72f48634a7f7dfb41c64607d66974ef9413a68e39a3959a981e2aaf356fd2cec9e2eb0c25d1b7b3d179c0a72ce053dc9c69463bde0ec893ab472f7076204
DIST go-linux-s390x-bootstrap-1.16.6.tbz 123611555 BLAKE2B b60509d2475640be6d029fe9abe2a244f9e5f7d050b9d62648817f5868bd70850a28494703e51116d2c00a99ddfd7e899b26f6d9a1d9fb18347ab958749014a8 SHA512 519dea7328ce5bf4f5ef769dcc22bd5b09537b3d796b682d094326260385c50ca41a3bbb9cb33a45d4ec979e572ef082cdb5c82ecb595faa8fcd2aa984403154
DIST go-solaris-amd64-bootstrap-1.13.6.tbz 116214396 BLAKE2B 3f5d6fcf2131a0944b2846eab2fc069f5d90fea1e7d98e8bd50ba5091d4b2ae01964fa71c29310fa7ff7c990ca0dd1afc83577174a46552d58d611716fedb854 SHA512 2d2c281c196729dd97f338fe3bd7396268c0b6fcfc8241b99a939f647201ed39929a5b0a096b9d1f7ffb20f79fd7b3cc25127d7a93f9836f6f0d1e5dbc2c6235
DIST go-solaris-amd64-bootstrap-1.16.6.tbz 125045916 BLAKE2B ab3645495b7bc17fd5d1612e1ddbc86f8053b393185909526eadd74158215664119849a8727d5e8b3142a4302dbb38aea505a4f6864d7d129b4d8f6d6fce174b SHA512 ee9bcf0a118935083c306b800adb1bdd51d77d40e8158dc0f7a16a37dd5d04ec78495b0467042d60e9165117ab53831b839640ed2adb5a8f7468c0b86ddc27f5

@ -1,35 +0,0 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Bootstrap package for dev-lang/go"
HOMEPAGE="https://golang.org"
BOOTSTRAP_DIST="https://dev.gentoo.org/~williamh/dist"
SRC_URI="
amd64? ( ${BOOTSTRAP_DIST}/go-linux-amd64-bootstrap-${PV}.tbz )
arm? ( ${BOOTSTRAP_DIST}/go-linux-arm-bootstrap-${PV}.tbz )
arm64? ( ${BOOTSTRAP_DIST}/go-linux-arm64-bootstrap-${PV}.tbz )
ppc64? (
big-endian? ( ${BOOTSTRAP_DIST}/go-linux-ppc64-bootstrap-${PV}.tbz )
!big-endian? ( ${BOOTSTRAP_DIST}/go-linux-ppc64le-bootstrap-${PV}.tbz )
)
s390? ( ${BOOTSTRAP_DIST}/go-linux-s390x-bootstrap-${PV}.tbz )
x86? ( ${BOOTSTRAP_DIST}/go-linux-386-bootstrap-${PV}.tbz )
x64-macos? ( ${BOOTSTRAP_DIST}/go-darwin-amd64-bootstrap-${PV}.tbz )
x64-solaris? ( ${BOOTSTRAP_DIST}/go-solaris-amd64-bootstrap-${PV}.tbz )
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 arm arm64 ppc64 ~s390 x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
IUSE="big-endian"
RESTRICT="strip"
QA_PREBUILT="*"
S="${WORKDIR}"
src_install() {
dodir /usr/lib
mv go-*-bootstrap "${ED}/usr/lib/go-bootstrap" || die
}

@ -23,7 +23,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
KEYWORDS="-* amd64 ~arm ~arm64 ~ppc64 ~riscv ~s390 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
KEYWORDS="-* amd64 arm arm64 ppc64 ~riscv ~s390 x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
IUSE="big-endian"
RESTRICT="strip"
QA_PREBUILT="*"

@ -1,5 +1,3 @@
DIST go1.15.14.src.tar.gz 23041432 BLAKE2B bcc79756b77cb7c435360a91da853b723ba33287a803250ff6bc36d523eddc293265797dc63df2ca6c504050d56c34336dbed205025f2efdda9247fc9a07f7e3 SHA512 2bf18efcb3a5f9e54de0a0e7ee27a689c2dc895d9403bc6f66e500358e70d1d664d7f17102126c98bd26fa2a3346ead358684e45b1a354cde8764c715064dd92
DIST go1.15.15.src.tar.gz 23042945 BLAKE2B 4787b9b1c22d5e0bf35350dc075cbdb51d838aff7972cd4c8d821ad495e712527499e28fcfb1f04738b8d749d01f432ec5d254d9d69762234a7f12ff94933e7c SHA512 bf8a6f669d024ce77271fbc8dc1d7a727c4da85c70cad00d0baaef157e7c5d7879ea9ae71cdb04e55f9c07f5ae76655264ca8a159c971eab1cf8a8861b74e69b
DIST go1.16.6.src.tar.gz 20923044 BLAKE2B 7a46d33f947c1d7f2c6f5e0085cba89520fdb8859fc804c8318b85d0b0e888b74ca074affcf3119c2d80157485e8f679e37390cbd58c644b38948f7d15428b7b SHA512 82634763dce636c9e9cba1bbf74a669e8b88e6df095e80672f295edb82cc1fc4b8ffde91a1f56c3470f2c4d9ee0404f65146d7478b645890623f6c463513a61f
DIST go1.16.7.src.tar.gz 20922206 BLAKE2B 65e53684f66975313caf4661a7c52b178dde8b32ac40f98fe8164fe035c835e1407ef442d41c7cbf907d5093703e440d0e62c398f8ed541bad074b537f6dd6ff SHA512 1aab6f3dcbae71ebfa29a1d9a46613a3aa48de01cee82b48842d92abbb4ee57db019a4d47a3f12af9553c8e2a982e90114a06ee187f908f7c29245d9786b9186
DIST go1.17.src.tar.gz 22178549 BLAKE2B 86cb84ff782eaee3fc0411b1f31cd985f3fdcda7b2709f3a94cba0fbe827ac13632d0476e1f67deaf06d2352c2ea3ac9217db7d170702dffff6a64beabdb0814 SHA512 bb94d69555faa103bc092ce85b73168954a553a5c72e4b38c39bd99a3eb4db679f352685e66507b0945ed12676eb2a0c51674e456f68a9a5b98c3ec6a948d35b

@ -1,189 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
export CBUILD=${CBUILD:-${CHOST}}
export CTARGET=${CTARGET:-${CHOST}}
MY_PV=${PV/_/}
inherit toolchain-funcs
case ${PV} in
*9999*)
EGIT_REPO_URI="https://github.com/golang/go.git"
inherit git-r3
;;
*)
SRC_URI="https://storage.googleapis.com/golang/go${MY_PV}.src.tar.gz "
S="${WORKDIR}"/go
case ${PV} in
*_beta*|*_rc*) ;;
*)
KEYWORDS="-* amd64 arm arm64 ppc64 ~s390 x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
;;
esac
esac
DESCRIPTION="A concurrent garbage collected and typesafe programming language"
HOMEPAGE="https://golang.org"
LICENSE="BSD"
SLOT="0/${PV}"
BDEPEND="|| (
dev-lang/go
dev-lang/go-bootstrap )"
RDEPEND="!<dev-go/go-tools-0_pre20150902"
# Do not complain about CFLAGS, etc, since Go doesn't use them.
QA_FLAGS_IGNORED='.*'
# The tools in /usr/lib/go should not cause the multilib-strict check to fail.
QA_MULTILIB_PATHS="usr/lib/go/pkg/tool/.*/.*"
# Do not strip this package. Stripping is unsupported upstream and may
# fail.
RESTRICT+=" strip"
DOCS=(
AUTHORS
CONTRIBUTING.md
CONTRIBUTORS
PATENTS
README.md
)
go_arch() {
# By chance most portage arch names match Go
local portage_arch=$(tc-arch $@)
case "${portage_arch}" in
x86) echo 386;;
x64-*) echo amd64;;
ppc64) [[ $(tc-endian $@) = big ]] && echo ppc64 || echo ppc64le ;;
s390) echo s390x ;;
*) echo "${portage_arch}";;
esac
}
go_arm() {
case "${1:-${CHOST}}" in
armv5*) echo 5;;
armv6*) echo 6;;
armv7*) echo 7;;
*)
die "unknown GOARM for ${1:-${CHOST}}"
;;
esac
}
go_os() {
case "${1:-${CHOST}}" in
*-linux*) echo linux;;
*-darwin*) echo darwin;;
*-freebsd*) echo freebsd;;
*-netbsd*) echo netbsd;;
*-openbsd*) echo openbsd;;
*-solaris*) echo solaris;;
*-cygwin*|*-interix*|*-winnt*)
echo windows
;;
*)
die "unknown GOOS for ${1:-${CHOST}}"
;;
esac
}
go_tuple() {
echo "$(go_os $@)_$(go_arch $@)"
}
go_cross_compile() {
[[ $(go_tuple ${CBUILD}) != $(go_tuple) ]]
}
src_compile() {
if has_version -b dev-lang/go; then
export GOROOT_BOOTSTRAP="${BROOT}/usr/lib/go"
elif has_version -b dev-lang/go-bootstrap; then
export GOROOT_BOOTSTRAP="${BROOT}/usr/lib/go-bootstrap"
else
eerror "Go cannot be built without go or go-bootstrap installed"
die "Should not be here, please report a bug"
fi
export GOROOT_FINAL="${EPREFIX}"/usr/lib/go
export GOROOT="$(pwd)"
export GOBIN="${GOROOT}/bin"
# Go's build script does not use BUILD/HOST/TARGET consistently. :(
export GOHOSTARCH=$(go_arch ${CBUILD})
export GOHOSTOS=$(go_os ${CBUILD})
export CC=$(tc-getBUILD_CC)
export GOARCH=$(go_arch)
export GOOS=$(go_os)
export CC_FOR_TARGET=$(tc-getCC)
export CXX_FOR_TARGET=$(tc-getCXX)
if [[ ${ARCH} == arm ]]; then
export GOARM=$(go_arm)
fi
cd src
bash -x ./make.bash || die "build failed"
}
src_test() {
go_cross_compile && return 0
cd src
PATH="${GOBIN}:${PATH}" \
./run.bash -no-rebuild || die "tests failed"
cd ..
rm -fr pkg/*_race || die
rm -fr pkg/obj/go-build || die
}
src_install() {
# There is a known issue which requires the source tree to be installed [1].
# Once this is fixed, we can consider using the doc use flag to control
# installing the doc and src directories.
# The use of cp is deliberate in order to retain permissions
# [1] https://golang.org/issue/2775
dodir /usr/lib/go
cp -R api bin doc lib pkg misc src test "${ED}"/usr/lib/go
einstalldocs
# testdata directories are not needed on the installed system
rm -fr $(find "${ED}"/usr/lib/go -iname testdata -type d -print)
local bin_path
if go_cross_compile; then
bin_path="bin/$(go_tuple)"
else
bin_path=bin
fi
local f x
for x in ${bin_path}/*; do
f=${x##*/}
dosym ../lib/go/${bin_path}/${f} /usr/bin/${f}
done
# install the @golang-rebuild set for Portage
insinto /usr/share/portage/config/sets
newins "${FILESDIR}"/go-sets.conf go.conf
}
pkg_postinst() {
[[ -z ${REPLACING_VERSIONS} ]] && return
einfo "After ${CATEGORY}/${PN} is updated it is recommended to rebuild"
einfo "all packages compiled with previous versions of ${CATEGORY}/${PN}"
einfo "due to the static linking nature of go."
einfo "If this is not done, the packages compiled with the older"
einfo "version of the compiler will not be updated until they are"
einfo "updated individually, which could mean they will have"
einfo "vulnerabilities."
einfo "Run 'emerge @golang-rebuild' to rebuild all 'go' packages"
einfo "See https://bugs.gentoo.org/752153 for more info"
}

@ -1,189 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
export CBUILD=${CBUILD:-${CHOST}}
export CTARGET=${CTARGET:-${CHOST}}
MY_PV=${PV/_/}
inherit toolchain-funcs
case ${PV} in
*9999*)
EGIT_REPO_URI="https://github.com/golang/go.git"
inherit git-r3
;;
*)
SRC_URI="https://storage.googleapis.com/golang/go${MY_PV}.src.tar.gz "
S="${WORKDIR}"/go
case ${PV} in
*_beta*|*_rc*) ;;
*)
KEYWORDS="-* amd64 ~arm ~arm64 ppc64 ~s390 x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
;;
esac
esac
DESCRIPTION="A concurrent garbage collected and typesafe programming language"
HOMEPAGE="https://golang.org"
LICENSE="BSD"
SLOT="0/${PV}"
BDEPEND="|| (
dev-lang/go
dev-lang/go-bootstrap )"
RDEPEND="!<dev-go/go-tools-0_pre20150902"
# Do not complain about CFLAGS, etc, since Go doesn't use them.
QA_FLAGS_IGNORED='.*'
# The tools in /usr/lib/go should not cause the multilib-strict check to fail.
QA_MULTILIB_PATHS="usr/lib/go/pkg/tool/.*/.*"
# Do not strip this package. Stripping is unsupported upstream and may
# fail.
RESTRICT+=" strip"
DOCS=(
AUTHORS
CONTRIBUTING.md
CONTRIBUTORS
PATENTS
README.md
)
go_arch() {
# By chance most portage arch names match Go
local portage_arch=$(tc-arch $@)
case "${portage_arch}" in
x86) echo 386;;
x64-*) echo amd64;;
ppc64) [[ $(tc-endian $@) = big ]] && echo ppc64 || echo ppc64le ;;
s390) echo s390x ;;
*) echo "${portage_arch}";;
esac
}
go_arm() {
case "${1:-${CHOST}}" in
armv5*) echo 5;;
armv6*) echo 6;;
armv7*) echo 7;;
*)
die "unknown GOARM for ${1:-${CHOST}}"
;;
esac
}
go_os() {
case "${1:-${CHOST}}" in
*-linux*) echo linux;;
*-darwin*) echo darwin;;
*-freebsd*) echo freebsd;;
*-netbsd*) echo netbsd;;
*-openbsd*) echo openbsd;;
*-solaris*) echo solaris;;
*-cygwin*|*-interix*|*-winnt*)
echo windows
;;
*)
die "unknown GOOS for ${1:-${CHOST}}"
;;
esac
}
go_tuple() {
echo "$(go_os $@)_$(go_arch $@)"
}
go_cross_compile() {
[[ $(go_tuple ${CBUILD}) != $(go_tuple) ]]
}
src_compile() {
if has_version -b dev-lang/go; then
export GOROOT_BOOTSTRAP="${BROOT}/usr/lib/go"
elif has_version -b dev-lang/go-bootstrap; then
export GOROOT_BOOTSTRAP="${BROOT}/usr/lib/go-bootstrap"
else
eerror "Go cannot be built without go or go-bootstrap installed"
die "Should not be here, please report a bug"
fi
export GOROOT_FINAL="${EPREFIX}"/usr/lib/go
export GOROOT="$(pwd)"
export GOBIN="${GOROOT}/bin"
# Go's build script does not use BUILD/HOST/TARGET consistently. :(
export GOHOSTARCH=$(go_arch ${CBUILD})
export GOHOSTOS=$(go_os ${CBUILD})
export CC=$(tc-getBUILD_CC)
export GOARCH=$(go_arch)
export GOOS=$(go_os)
export CC_FOR_TARGET=$(tc-getCC)
export CXX_FOR_TARGET=$(tc-getCXX)
if [[ ${ARCH} == arm ]]; then
export GOARM=$(go_arm)
fi
cd src
bash -x ./make.bash || die "build failed"
}
src_test() {
go_cross_compile && return 0
cd src
PATH="${GOBIN}:${PATH}" \
./run.bash -no-rebuild || die "tests failed"
cd ..
rm -fr pkg/*_race || die
rm -fr pkg/obj/go-build || die
}
src_install() {
# There is a known issue which requires the source tree to be installed [1].
# Once this is fixed, we can consider using the doc use flag to control
# installing the doc and src directories.
# The use of cp is deliberate in order to retain permissions
# [1] https://golang.org/issue/2775
dodir /usr/lib/go
cp -R api bin doc lib pkg misc src test "${ED}"/usr/lib/go
einstalldocs
# testdata directories are not needed on the installed system
rm -fr $(find "${ED}"/usr/lib/go -iname testdata -type d -print)
local bin_path
if go_cross_compile; then
bin_path="bin/$(go_tuple)"
else
bin_path=bin
fi
local f x
for x in ${bin_path}/*; do
f=${x##*/}
dosym ../lib/go/${bin_path}/${f} /usr/bin/${f}
done
# install the @golang-rebuild set for Portage
insinto /usr/share/portage/config/sets
newins "${FILESDIR}"/go-sets.conf go.conf
}
pkg_postinst() {
[[ -z ${REPLACING_VERSIONS} ]] && return
einfo "After ${CATEGORY}/${PN} is updated it is recommended to rebuild"
einfo "all packages compiled with previous versions of ${CATEGORY}/${PN}"
einfo "due to the static linking nature of go."
einfo "If this is not done, the packages compiled with the older"
einfo "version of the compiler will not be updated until they are"
einfo "updated individually, which could mean they will have"
einfo "vulnerabilities."
einfo "Run 'emerge @golang-rebuild' to rebuild all 'go' packages"
einfo "See https://bugs.gentoo.org/752153 for more info"
}

Binary file not shown.

@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 sparc x86"
KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
IUSE="doc debug examples static-libs"
S="${WORKDIR}/${MY_P}"

@ -5,6 +5,9 @@
<email>kde@gentoo.org</email>
<name>Gentoo KDE Project</name>
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
</upstream>
<use>
<flag name="gui">Build test GUI</flag>
</use>

@ -1,2 +1,3 @@
DIST glib-2.68.2.tar.xz 4944192 BLAKE2B d35489dcfe9d57d8bd6ecf4f893b7c8e93a5b8108765791071fc811598d1f41287e03d95f20591d50d51a78db34f11833cc7970b1bf29299385357a14977ba0b SHA512 74d481552629cab67d22f8a440a7263a4e4b83adb6f3b772d368e255c17321b206aafd3af4653e5efbb2c3c14ca67d35f453728cbc5cd68728275d0b56789019
DIST glib-2.68.3.tar.xz 4945236 BLAKE2B 6086b7490f418cb98119ab25670766e3a84de81fd180dbc6e8f929d8f8ab748b0ae7ad6a85f5419ab3c00589c3afba95972d8b4541b310acdf6b6dc9b460a07d SHA512 fb120105c4cb582491a53a0e4c61fe4bdd1f94b279bb7c362afd591369ede50a196c706375564ededf3550d4062a285b038e20b605e6d5dfe36f5d208f4bad3f
DIST glib-2.68.4.tar.xz 4945212 BLAKE2B 2135e2bea778714494b9f3ef140f20639f95dd347c9025e5663ca8f493092cd2723aba6520bb4f85687491794353685eccacc4dd34339962e5cb717e6130c025 SHA512 be17d79b41d17fd2b144184d6e793180667b7d9ba299215ea6d4948b4c05f6d888b4868c48643e25935a34ee2f85ee1d03e53325151b7a61819437cbd3c84b10

@ -0,0 +1,283 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..10} )
inherit flag-o-matic gnome.org gnome2-utils linux-info meson-multilib multilib python-any-r1 toolchain-funcs xdg
DESCRIPTION="The GLib library of C routines"
HOMEPAGE="https://www.gtk.org/"
LICENSE="LGPL-2.1+"
SLOT="2"
IUSE="dbus debug +elf elibc_glibc fam gtk-doc kernel_linux +mime selinux static-libs sysprof systemtap test utils xattr"
RESTRICT="!test? ( test )"
REQUIRED_USE="gtk-doc? ( test )" # Bug #777636
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
# * elfutils (via libelf) does not build on Windows. gresources are not embedded
# within ELF binaries on that platform anyway and inspecting ELF binaries from
# other platforms is not that useful so exclude the dependency in this case.
# * Technically static-libs is needed on zlib, util-linux and perhaps more, but
# these are used by GIO, which glib[static-libs] consumers don't really seem
# to need at all, thus not imposing the deps for now and once some consumers
# are actually found to static link libgio-2.0.a, we can revisit and either add
# them or just put the (build) deps in that rare consumer instead of recursive
# RDEPEND here (due to lack of recursive DEPEND).
RDEPEND="
!<dev-util/gdbus-codegen-${PV}
>=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
>=dev-libs/libpcre-8.31:3[${MULTILIB_USEDEP},static-libs?]
>=dev-libs/libffi-3.0.13-r1:=[${MULTILIB_USEDEP}]
>=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
>=virtual/libintl-0-r2[${MULTILIB_USEDEP}]
kernel_linux? ( >=sys-apps/util-linux-2.23[${MULTILIB_USEDEP}] )
selinux? ( >=sys-libs/libselinux-2.2.2-r5[${MULTILIB_USEDEP}] )
xattr? ( !elibc_glibc? ( >=sys-apps/attr-2.4.47-r1[${MULTILIB_USEDEP}] ) )
elf? ( virtual/libelf:0= )
fam? ( >=virtual/fam-0-r1[${MULTILIB_USEDEP}] )
sysprof? ( >=dev-util/sysprof-capture-3.40.1:4[${MULTILIB_USEDEP}] )
"
DEPEND="${RDEPEND}"
# libxml2 used for optional tests that get automatically skipped
BDEPEND="
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
>=sys-devel/gettext-0.19.8
gtk-doc? ( >=dev-util/gtk-doc-1.33
app-text/docbook-xml-dtd:4.2
app-text/docbook-xml-dtd:4.5 )
systemtap? ( >=dev-util/systemtap-1.3 )
${PYTHON_DEPS}
test? ( >=sys-apps/dbus-1.2.14 )
virtual/pkgconfig
"
# TODO: >=dev-util/gdbus-codegen-${PV} test dep once we modify gio/tests/meson.build to use external gdbus-codegen
PDEPEND="
dbus? ( gnome-base/dconf )
mime? ( x11-misc/shared-mime-info )
"
# shared-mime-info needed for gio/xdgmime, bug #409481
# dconf is needed to be able to save settings, bug #498436
MULTILIB_CHOST_TOOLS=(
/usr/bin/gio-querymodules$(get_exeext)
)
PATCHES=(
"${FILESDIR}"/${PN}-2.64.1-mark-gdbus-server-auth-test-flaky.patch
)
pkg_setup() {
if use kernel_linux ; then
CONFIG_CHECK="~INOTIFY_USER"
if use test ; then
CONFIG_CHECK="~IPV6"
WARNING_IPV6="Your kernel needs IPV6 support for running some tests, skipping them."
fi
linux-info_pkg_setup
fi
python-any-r1_pkg_setup
}
src_prepare() {
if use test; then
# TODO: Review the test exclusions, especially now with meson
# Disable tests requiring dev-util/desktop-file-utils when not installed, bug #286629, upstream bug #629163
if ! has_version dev-util/desktop-file-utils ; then
ewarn "Some tests will be skipped due dev-util/desktop-file-utils not being present on your system,"
ewarn "think on installing it to get these tests run."
sed -i -e "/appinfo\/associations/d" gio/tests/appinfo.c || die
sed -i -e "/g_test_add_func/d" gio/tests/desktop-app-info.c || die
fi
# gdesktopappinfo requires existing terminal (gnome-terminal or any
# other), falling back to xterm if one doesn't exist
#if ! has_version x11-terms/xterm && ! has_version x11-terms/gnome-terminal ; then
# ewarn "Some tests will be skipped due to missing terminal program"
# These tests seem to sometimes fail even with a terminal; skip for now and reevulate with meson
# Also try https://gitlab.gnome.org/GNOME/glib/issues/1601 once ready for backport (or in a bump) and file new issue if still fails
sed -i -e "/appinfo\/launch/d" gio/tests/appinfo.c || die
# desktop-app-info/launch* might fail similarly
sed -i -e "/desktop-app-info\/launch-as-manager/d" gio/tests/desktop-app-info.c || die
#fi
# https://bugzilla.gnome.org/show_bug.cgi?id=722604
sed -i -e "/timer\/stop/d" glib/tests/timer.c || die
sed -i -e "/timer\/basic/d" glib/tests/timer.c || die
ewarn "Tests for search-utils have been skipped"
sed -i -e "/search-utils/d" glib/tests/meson.build || die
# Play nice with network-sandbox, but this approach would defeat the purpose of the test
#sed -i -e "s/localhost/127.0.0.1/g" gio/tests/gsocketclient-slow.c || die
else
# Don't build tests, also prevents extra deps, bug #512022
sed -i -e '/subdir.*tests/d' {.,gio,glib}/meson.build || die
fi
# Don't build fuzzing binaries - not used
sed -i -e '/subdir.*fuzzing/d' meson.build || die
# gdbus-codegen is a separate package
sed -i -e '/install_dir/d' gio/gdbus-2.0/codegen/meson.build || die
# Same kind of meson-0.50 issue with some installed-tests files; will likely be fixed upstream soon
sed -i -e '/install_dir/d' gio/tests/meson.build || die
cat > "${T}/glib-test-ld-wrapper" <<-EOF
#!/usr/bin/env sh
exec \${LD:-ld} "\$@"
EOF
chmod a+x "${T}/glib-test-ld-wrapper" || die
sed -i -e "s|'ld'|'${T}/glib-test-ld-wrapper'|g" gio/tests/meson.build || die
xdg_src_prepare
gnome2_environment_reset
# TODO: python_name sedding for correct python shebang? Might be relevant mainly for glib-utils only
}
multilib_src_configure() {
if use debug; then
append-cflags -DG_ENABLE_DEBUG
else
append-cflags -DG_DISABLE_CAST_CHECKS # https://gitlab.gnome.org/GNOME/glib/issues/1833
fi
# TODO: figure a way to pass appropriate values for all cross properties that glib uses (search for get_cross_property)
#if tc-is-cross-compiler ; then
# https://bugzilla.gnome.org/show_bug.cgi?id=756473
# TODO-meson: This should be in meson cross file as 'growing_stack' property; and more, look at get_cross_property
#case ${CHOST} in
#hppa*|metag*) export glib_cv_stack_grows=yes ;;
#*) export glib_cv_stack_grows=no ;;
#esac
#fi
local emesonargs=(
-Ddefault_library=$(usex static-libs both shared)
$(meson_feature selinux)
$(meson_use xattr)
-Dlibmount=enabled # only used if host_system == 'linux'
-Dinternal_pcre=false
-Dman=true
$(meson_use systemtap dtrace)
$(meson_use systemtap)
$(meson_feature sysprof)
$(meson_native_use_bool gtk-doc gtk_doc)
$(meson_use fam)
$(meson_use test tests)
-Dinstalled_tests=false
-Dnls=enabled
-Doss_fuzz=disabled
$(meson_native_use_feature elf libelf)
)
meson_src_configure
}
multilib_src_test() {
export XDG_CONFIG_DIRS=/etc/xdg
export XDG_DATA_DIRS=/usr/local/share:/usr/share
export G_DBUS_COOKIE_SHA1_KEYRING_DIR="${T}/temp"
export LC_TIME=C # bug #411967
unset GSETTINGS_BACKEND # bug #596380
python_setup
# Related test is a bit nitpicking
mkdir "$G_DBUS_COOKIE_SHA1_KEYRING_DIR"
chmod 0700 "$G_DBUS_COOKIE_SHA1_KEYRING_DIR"
meson_src_test --timeout-multiplier 2 --no-suite flaky
}
multilib_src_install() {
meson_src_install
keepdir /usr/$(get_libdir)/gio/modules
}
multilib_src_install_all() {
# These are installed by dev-util/glib-utils
# TODO: With patching we might be able to get rid of the python-any deps and removals, and test depend on glib-utils instead; revisit now with meson
rm "${ED}/usr/bin/glib-genmarshal" || die
rm "${ED}/usr/share/man/man1/glib-genmarshal.1" || die
rm "${ED}/usr/bin/glib-mkenums" || die
rm "${ED}/usr/share/man/man1/glib-mkenums.1" || die
rm "${ED}/usr/bin/gtester-report" || die
rm "${ED}/usr/share/man/man1/gtester-report.1" || die
# gdbus-codegen manpage installed by dev-util/gdbus-codegen
rm "${ED}/usr/share/man/man1/gdbus-codegen.1" || die
}
pkg_preinst() {
xdg_pkg_preinst
# Make gschemas.compiled belong to glib alone
local cache="/usr/share/glib-2.0/schemas/gschemas.compiled"
if [[ -e ${EROOT}${cache} ]]; then
cp "${EROOT}"${cache} "${ED}"/${cache} || die
else
touch "${ED}"${cache} || die
fi
multilib_pkg_preinst() {
# Make giomodule.cache belong to glib alone
local cache="/usr/$(get_libdir)/gio/modules/giomodule.cache"
if [[ -e ${EROOT}${cache} ]]; then
cp "${EROOT}"${cache} "${ED}"${cache} || die
else
touch "${ED}"${cache} || die
fi
}
# Don't run the cache ownership when cross-compiling, as it would end up with an empty cache
# file due to inability to create it and GIO might not look at any of the modules there
if ! tc-is-cross-compiler ; then
multilib_foreach_abi multilib_pkg_preinst
fi
}
pkg_postinst() {
xdg_pkg_postinst
# glib installs no schemas itself, but we force update for fresh install in case
# something has dropped in a schemas file without direct glib dep; and for upgrades
# in case the compiled schema format could have changed
gnome2_schemas_update
multilib_pkg_postinst() {
gnome2_giomodule_cache_update \
|| die "Update GIO modules cache failed (for ${ABI})"
}
if ! tc-is-cross-compiler ; then
multilib_foreach_abi multilib_pkg_postinst
else
ewarn "Updating of GIO modules cache skipped due to cross-compilation."
ewarn "You might want to run gio-querymodules manually on the target for"
ewarn "your final image for performance reasons and re-run it when packages"
ewarn "installing GIO modules get upgraded or added to the image."
fi
for v in ${REPLACING_VERSIONS}; do
if ver_test "$v" "-lt" "2.63.6"; then
ewarn "glib no longer installs the gio-launch-desktop binary. You may need"
ewarn "to restart your session for \"Open With\" dialogs to work."
fi
done
}
pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
if [[ -z ${REPLACED_BY_VERSION} ]]; then
multilib_pkg_postrm() {
rm -f "${EROOT}"/usr/$(get_libdir)/gio/modules/giomodule.cache
}
multilib_foreach_abi multilib_pkg_postrm
rm -f "${EROOT}"/usr/share/glib-2.0/schemas/gschemas.compiled
fi
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save